Package org.springframework.expression

# Enum Class Operation

java.lang.Object
java.lang.Enum<Operation>
org.springframework.expression.Operation

All Implemented Interfaces:
  `Serializable`, `Comparable<Operation>`, `Constable`

public enum Operation extends Enum<Operation>
Supported operations that an `OperatorOverloader` can implement for any pair of operands.

Since:
  3.0
Author:
  Andy Clement

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADD`
Add operation.
`DIVIDE`
Divide operation.
`MODULUS`
Modulus operation.
`MULTIPLY`
Multiply operation.
`POWER`
Power operation.
`SUBTRACT`
Subtract operation.

## Method Summary

Modifier and Type
Method
Description
`static Operation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Operation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ADD

public static final Operation ADD
Add operation.

### SUBTRACT

public static final Operation SUBTRACT
Subtract operation.

### DIVIDE

public static final Operation DIVIDE
Divide operation.

### MULTIPLY

public static final Operation MULTIPLY
Multiply operation.

### MODULUS

public static final Operation MODULUS
Modulus operation.

### POWER

public static final Operation POWER
Power operation.

## Method Details

### values

public static Operation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Operation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null